---
api: 'Business API'
---

# Retrieve a payment draft

Get the information about a specific payment draft by ID.

The response lists the details of the payment(s) included in the draft, as well as the draft details.

For more information, see the guides: [Payment drafts](/docs/guides/manage-accounts/transfers/payment-drafts).

## Endpoint

GET `/payment-drafts/{payment_draft_id}`

## Parameters

### path parameters

- `payment_draft_id` (string, required)
  The ID of the payment draft to retrieve.

## Returns

### 200

The information about a specific payment draft

#### Response attributes

- `scheduled_for` (string, optional)
    The scheduled date of the payment draft in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `title` (string, optional)
    The title of the payment draft.
- `payments` (array of object)
    The list of payments in the bulk.
  - `payments[].id` (string)
      The ID of the payment.
      
      Do not confuse it with the [payment draft ID](/docs/api/business#get-payment-drafts#response) or [transaction ID](/docs/api/business#get-transaction).
  - `payments[].amount` (object)
    - `payments[].amount.amount` (number, optional)
        The amount of the transaction.
    - `payments[].amount.currency` (string, optional)
        [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
  - `payments[].currency` (string, optional)
      [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
  - `payments[].account_id` (string)
      The ID of the account to pay from.
  - `payments[].receiver` (object)
      The details of the transfer recipient.
      
      If the counterparty has multiple payment methods available (e.g. 2 accounts, or 1 account and 1 card), you must specify the account (`account_id`) or card (`card_id`) to which you want to transfer the money.
    - `payments[].receiver.counterparty_id` (string)
        The ID of the receiving counterparty.
    - `payments[].receiver.account_id` (string, optional)
        The ID of the receiving counterparty's account. Used for bank transfers.
        
        If the counterparty has multiple payment methods available, use it to specify the account to which you want to send the money.
    - `payments[].receiver.card_id` (string, optional)
        The ID of the receiving counterparty's card.
        Used for card transfers.
        
        If the counterparty has multiple payment methods available, use it to specify the card to which you want to send the money.
  - `payments[].state` (enum)
      Indicates the state of the transaction.
      Possible enum values:

      - `CREATED`
      - `PENDING`
      - `COMPLETED`
      - `REVERTED`
      - `DECLINED`
      - `CANCELLED`
      - `FAILED`
      - `DELETED`
  - `payments[].reason` (string, optional)
      The reason for the current state.
  - `payments[].error_message` (string, optional)
      The description of the error message.
  - `payments[].current_charge_options` (object)
      The explanation of conversion process.
    - `payments[].current_charge_options.from` (object)
      - `payments[].current_charge_options.from.amount` (number, optional)
          The amount of the transaction.
      - `payments[].current_charge_options.from.currency` (string, optional)
          [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
    - `payments[].current_charge_options.to` (object)
      - `payments[].current_charge_options.to.amount` (number, optional)
          The amount of the transaction.
      - `payments[].current_charge_options.to.currency` (string, optional)
          [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
    - `payments[].current_charge_options.rate` (string, optional)
    - `payments[].current_charge_options.fee` (object, optional)
      - `payments[].current_charge_options.fee.amount` (number, optional)
          The amount of the transaction.
      - `payments[].current_charge_options.fee.currency` (string, optional)
          [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
  - `payments[].reference` (string, optional)
      The description of the transaction.
